Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062360 - ISS slave: satellite-sync using no options fails with not-null constraint violation
Summary: ISS slave: satellite-sync using no options fails with not-null constraint vio...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 17:43 UTC by Lukas Pramuk
Modified: 2018-05-22 09:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-08 15:21:14 UTC


Attachments (Terms of Use)

Description Lukas Pramuk 2014-02-06 17:43:48 UTC
Description of problem:
When you enable Default Master at your Slave (at Master the Slave is enabled) you cannot run satellite-sync without any options to just resync already synced channels.
satellite-sync in his traceback complains about not-null constraint violation:
psycopg2.IntegrityError: null value in column "label" violates not-null constraint

Version-Release number of selected component (if applicable):
spacewalk-backend-2.0.3-20.el5sat

How reproducible:
deterministic 

Steps to Reproduce:
1. Establish ISS relation between two Satellites, enable Default Master
2. Have at least one synced channel at slave
3. @slave: Run "satellite-sync" with no options specified
# satellite-sync 
09:28:22 Red Hat Satellite - live synchronization
09:28:22    url: https://<master_fqdn>
09:28:22    debug/output level: 1
09:28:23    db:  rhnuser/<password>@rhnschema
09:28:23 
09:28:23 Retrieving / parsing orgs data
u'<master_fqdn>'
09:28:23 orgs data complete
...
09:29:27 Retrieving / parsing orgs data
Exception reported from <slave_fqdn>
Time: Wed Feb  5 09:29:27 2014
Exception type psycopg2.IntegrityError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/xmlSource.py", line 131, in process
    self.__parser.parse(self.__stream)
  File "/usr/lib64/python2.4/site-packages/_xmlplus/sax/expatreader.py", line 109, in parse
    xmlreader.IncrementalParser.parse(self, source)
  File "/usr/lib64/python2.4/site-packages/_xmlplus/sax/xmlreader.py", line 123, in parse
    self.feed(buffer)
  File "/usr/lib64/python2.4/site-packages/_xmlplus/sax/expatreader.py", line 216, in feed
    self._parser.Parse(data, isFinal)
  File "/usr/lib64/python2.4/site-packages/_xmlplus/sax/expatreader.py", line 314, in end_element
    self._cont_handler.endElement(name)
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/xmlSource.py", line 221, in endElement
    self.__container.endElement(element)
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/xmlSource.py", line 887, in endElement
    self.endContainerCallback()
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/diskImportLib.py", line 79, in endContainerCallback
    importer.run()
  File "/usr/lib/python2.4/site-packages/spacewalk/server/importlib/importLib.py", line 647, in run
    self.submit()
  File "/usr/lib/python2.4/site-packages/spacewalk/server/importlib/orgImport.py", line 47, in submit
    self.backend.createMaster(self.master_label)
  File "/usr/lib/python2.4/site-packages/spacewalk/server/importlib/backend.py", line 299, in createMaster
    h.execute(label=master_label)
  File "/usr/lib/python2.4/site-packages/spacewalk/server/rhnSQL/sql_base.py", line 163, in execute
    return apply(self._execute_wrapper, (self._execute, ) + p, kw)
  File "/usr/lib/python2.4/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py", line 273, in _execute_wrapper
    retval = apply(function, p, kw)
  File "/usr/lib/python2.4/site-packages/spacewalk/server/rhnSQL/sql_base.py", line 217, in _execute
    return self._execute_(args, kwargs)
  File "/usr/lib/python2.4/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py", line 287, in _execute_
    self._real_cursor.execute(self.sql, params)
IntegrityError: null value in column "label" violates not-null constraint


Actual results:
fails with traceback

Expected results:
successfully syncs all channels synced earlier


Additional info:
after disabling Default Master no traceback present

Comment 1 Tomas Lestach 2017-06-08 15:21:14 UTC
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

This is a low priority bug and has no currently open customer cases. While this bug may still valid, we do not see it being implemented prior to the EOL of the Satellite 5.x product. As such, this is being CLOSED DEFERRED. 

Closing now to help set customer expectations as early as possible. You are welcome to re-open this bug if needed.


Note You need to log in before you can comment on or make changes to this bug.